#!/usr/bin/env python
#
# Program to read and print the length and 
# every line of a file 
#
fileicareabout = open("ourownfile","r")
text = fileicareabout.readlines()
fileicareabout.close()

# Works on pairs
def arbpair(pair):
   return pair[0] + "_" + pair[1]


for jeff in text:
    print(len(jeff), jeff[0:(len(jeff)-1)])
    x = jeff.split() # splits on spaces and newlines
    z = map(arbpair, [[x[i],x[i+1]] for i in range(len(x)-1)]) 
    for e in z:
      print(e)
print() 



